"""Nullable fields for CLINs


Revision ID: 3d3c71b03e98
Revises: b565531a1e82
Create Date: 2019-06-17 11:04:03.294913

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '3d3c71b03e98'
down_revision = 'b565531a1e82'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('clins', 'end_date',
               existing_type=sa.DATE(),
               nullable=True)
    op.alter_column('clins', 'jedi_clin_type',
               existing_type=sa.VARCHAR(length=11),
               nullable=True)
    op.alter_column('clins', 'loas',
               existing_type=postgresql.ARRAY(sa.VARCHAR()),
               nullable=True,
               existing_server_default=sa.text("'{}'::character varying[]"))
    op.alter_column('clins', 'number',
               existing_type=sa.VARCHAR(),
               nullable=True)
    op.alter_column('clins', 'obligated_amount',
               existing_type=sa.NUMERIC(),
               nullable=True)
    op.alter_column('clins', 'start_date',
               existing_type=sa.DATE(),
               nullable=True)
    # ### end Alembic commands ###


